package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.sujrb.util.WeekdayUtil;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/BankLoanRecordReqOverTimeAction.class */
public class BankLoanRecordReqOverTimeAction extends LifeAction {
    private String iCollName;

    public String execute(Context context) throws GENEException {
        try {
            Date date = Calendar.getInstance().getTime();
            String currDate = new SimpleDateFormat("yyyy-MM-dd").format(date);
            int beroreNotice = Integer.parseInt((String) context.getDataValue("beforeNoticeDay"));
            IndexedCollection icoll = context.getDataElement(this.iCollName);
            if (icoll.size() == 0) {
                return "1";
            }
            for (int i = 0; i < icoll.size(); i++) {
                String optime = (String) icoll.getElementAt(i).getDataValue("optime");
                int workDayNum = WeekdayUtil.getWorkDay(String.valueOf(optime.substring(0, 4)) + "-" + optime.substring(4, 6) + "-" + optime.substring(6, 8), currDate);
                if (workDayNum >= beroreNotice) {
                    icoll.getElementAt(i).setDataValue("overFlag", "1");
                    icoll.getElementAt(i).setDataValue("overTime", Integer.valueOf(workDayNum));
                } else {
                    icoll.getElementAt(i).setDataValue("overFlag", "0");
                    icoll.getElementAt(i).setDataValue("overTime", "");
                }
            }
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", e.getMessage(), e);
            throw new TranFailException("RZPT90008", "备案超时提醒判断出错", false);
        }
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
